! Set up factor UI and editor integration for this project
! Use emacs as the editor and switch UI to dark mode
! Run this to start development in the UI
USING: editors.emacs io.backend kernel threads ui ui.theme.switching vocabs.loader ;

! Add project's root to vocabulary roots and load all project components
! current-directory get
"./" normalize-path add-vocab-root

! Fire up the UI. This gives you graphical code walker support without the need
! to open a graphical listener window first.
IN: scratchpad

: setup-ui ( dark? -- )
    [ dark-mode ] [ light-mode ] if
    [ [ ] with-ui ] in-thread ;
